From dc55d1159f6d3ad0b04faac4e80d650e4206476d Mon Sep 17 00:00:00 2001
From: lordrasmus <lordrasmus@gmail.com>
Date: Tue, 30 May 2023 12:06:29 +0200
Subject: [PATCH 6/9] gettimeofday() only include ldso.h if vdso support is
 activated

---
 libc/sysdeps/linux/common/gettimeofday.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/libc/sysdeps/linux/common/gettimeofday.c b/libc/sysdeps/linux/common/gettimeofday.c
index 12473a8e6..d9cf3bb84 100755
--- a/libc/sysdeps/linux/common/gettimeofday.c
+++ b/libc/sysdeps/linux/common/gettimeofday.c
@@ -9,7 +9,7 @@
 #include <sys/syscall.h>
 #include <sys/time.h>
 
-#ifdef SHARED
+#ifdef __VDSO_SUPPORT__
 #include "ldso.h"
 #endif
 
-- 
2.37.2

